Subject: [MEXT] Comments about draft-gundavelli-mext-dsmip-ipv4-overlap

From: Romain KUNTZ <[email-masked]>
Date: Mon, 27 Jun 2011 15:55:04 -0700

Hi Sri,

I came through draft-gundavelli-mext-dsmip-ipv4-overlap, and was wondering whether it would make sense to take also prefix overlap into consideration. DSMIPv6 allows the assignment of a whole IPv4 prefix through the use of the P flag in the IPv4 Home Address option, which could make prefix overlap likely to occur. It may be worth mentioning in the document. 

A few other minor comments:
- section 3.2, there is an unrelated reference to [RFC3775]
- section 4.1.1, I would add that the "context identifier field" comes from the GRE Key Header (and cite RFC5845)
- section 4.1.2: s/"with the home address option"/"with the IPv4 home address option"
- I would move section 5 to the beginning of section 4. That would makes section 4.1.2 more clear.

Regards,
Romain

---

From: Sri Gundavelli <[email-masked]>
Date: Mon, 27 Jun 2011 16:05:55 -0700

Hi Romain,

Thanks for the review.

I think we missed the prefix part, we can add some considerations around
that.

Will all fix the below issues.

Regards
Sri

On 6/27/11 3:55 PM, "Romain KUNTZ" <[email-masked]> wrote:

> Hi Sri,
> 
> I came through draft-gundavelli-mext-dsmip-ipv4-overlap, and was wondering
> whether it would make sense to take also prefix overlap into consideration.
> DSMIPv6 allows the assignment of a whole IPv4 prefix through the use of the P
> flag in the IPv4 Home Address option, which could make prefix overlap likely
> to occur. It may be worth mentioning in the document.
> 
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext